import type { PostSlotDestroyed } from "../../callbacks/PostSlotDestroyed";
import { Feature } from "../../private/Feature";
import type { RoomHistory } from "../other/RoomHistory";
export declare class SlotDestroyedDetection extends Feature {
    v: {
        room: {
            destroyedSlotSet: Set<PtrHash>;
        };
    };
    private readonly postSlotDestroyed;
    private readonly roomHistory;
    constructor(postSlotDestroyed: PostSlotDestroyed, roomHistory: RoomHistory);
    private readonly postEntityRemoveSlot;
    private postEntityRemoveSlotMachine;
    private postEntityRemoveBeggar;
    private readonly postSlotUpdate;
    /**
     * Slots normally have an entity collision class of `EntityCollisionClass.ALL` (4) and a grid
     * collision class of `EntityGridCollisionClass.NONE` (0). When they are destroyed with a bomb,
     * the entity collision class stays the same, but the grid collision class switches to
     * `EntityGridCollisionClass.GROUND` (5).
     */
    private checkDestroyedFromCollisionClass;
}
//# sourceMappingURL=SlotDestroyedDetection.d.ts.map