/// <reference types="isaac-typescript-definitions" />
import { Feature } from "../../private/Feature";
export declare class PonyDetection extends Feature {
    private readonly postPEffectUpdateReordered;
    /**
     * Helper function to see if the player is under the effects of A Pony or White Pony charge.
     * Detecting this is difficult, as the temporary effect will disappear upon entering a new room.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.PONY_DETECTION`.
     *
     * @public
     */
    isPlayerUsingPony(player: EntityPlayer): boolean;
    /**
     * Helper function to see if any player is under the effects of A Pony or White Pony charge.
     * Detecting this is difficult, as the temporary effect will disappear upon entering a new room.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.PONY_DETECTION`.
     *
     * @public
     */
    anyPlayerUsingPony(): boolean;
}
//# sourceMappingURL=PonyDetection.d.ts.map