import type { LevelCurse } from "isaac-typescript-definitions";
/**
 * Helper function to get the actual bit flag for modded curses.
 *
 * Will throw a run-time error if the provided curse does not exist.
 *
 * Use this over the `Isaac.GetCurseIdByName` method because that will return an integer instead of
 * a bit flag.
 */
export declare function getCurseIDByName(name: string): LevelCurse;
/**
 * Helper function to check if the current floor has a particular curse.
 *
 * This function is variadic, meaning that you can specify as many curses as you want. The function
 * will return true if the level has one or more of the curses.
 *
 * Under the hood, this function uses the `Level.GetCurses` method.
 */
export declare function hasCurse(...curses: LevelCurse[]): boolean;
//# sourceMappingURL=curses.d.ts.map