local ____exports = {}
local ____bossNamePNGFileNames = require("objects.bossNamePNGFileNames")
local BOSS_NAME_PNG_FILE_NAMES = ____bossNamePNGFileNames.BOSS_NAME_PNG_FILE_NAMES
local ____bossPortraitPNGFileNames = require("objects.bossPortraitPNGFileNames")
local BOSS_PORTRAIT_PNG_FILE_NAMES = ____bossPortraitPNGFileNames.BOSS_PORTRAIT_PNG_FILE_NAMES
local ____playerNamePNGFileNames = require("objects.playerNamePNGFileNames")
local PLAYER_NAME_PNG_FILE_NAMES = ____playerNamePNGFileNames.PLAYER_NAME_PNG_FILE_NAMES
local ____playerPortraitPNGFileNames = require("objects.playerPortraitPNGFileNames")
local PLAYER_PORTRAIT_PNG_FILE_NAMES = ____playerPortraitPNGFileNames.PLAYER_PORTRAIT_PNG_FILE_NAMES
--- Most of the PNG files related to the versus screen are located in this directory.
local PNG_PATH_PREFIX = "gfx/ui/boss"
--- Player portraits are not located in the same directory as everything else, since they are re-used
-- from the animation where the player travels to a new stage.
local PLAYER_PORTRAIT_PNG_PATH_PREFIX = "gfx/ui/stage"
--- Helper function to get the path to the name file that corresponds to the graphic shown on the
-- versus screen for the particular boss.
-- 
-- For example, the file path for `BossID.MONSTRO` is "gfx/ui/boss/bossname_20.0_monstro.png".
function ____exports.getBossNamePNGFilePath(self, bossID)
    local fileName = BOSS_NAME_PNG_FILE_NAMES[bossID]
    return (PNG_PATH_PREFIX .. "/") .. fileName
end
--- Helper function to get the path to the portrait file that corresponds to the graphic shown on the
-- versus screen for the particular boss.
-- 
-- For example, the file path for `BossID.MONSTRO` is "gfx/ui/boss/portrait_20.0_monstro.png".
function ____exports.getBossPortraitPNGFilePath(self, bossID)
    local fileName = BOSS_PORTRAIT_PNG_FILE_NAMES[bossID]
    return (PNG_PATH_PREFIX .. "/") .. fileName
end
--- Helper function to get the path to the name file that corresponds to the graphic shown on the
-- versus screen for the particular character.
-- 
-- For example, the file path for `PlayerType.ISAAC` is "gfx/ui/boss/playername_01_isaac.png".
function ____exports.getCharacterNamePNGFilePath(self, character)
    local fileName = PLAYER_NAME_PNG_FILE_NAMES[character]
    return (PNG_PATH_PREFIX .. "/") .. tostring(fileName)
end
--- Helper function to get the path to the portrait file that corresponds to the graphic shown on the
-- versus screen for the particular character.
-- 
-- For example, the file path for `PlayerType.ISAAC` is "gfx/ui/boss/playerportrait_isaac.png".
function ____exports.getCharacterPortraitPNGFilePath(self, character)
    local fileName = PLAYER_PORTRAIT_PNG_FILE_NAMES[character]
    return (PLAYER_PORTRAIT_PNG_PATH_PREFIX .. "/") .. tostring(fileName)
end
return ____exports
