import { CornerType } from "../enums/CornerType";
/**
 * The locations of the corners for each room shape.
 *
 * Note that these corner locations are not accurate for the Mother Boss Room and the Home closet
 * rooms. (Those rooms have custom shapes.)
 */
export declare const ROOM_SHAPE_CORNERS: {
    readonly 1: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 14;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 120;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 134;
        readonly position: Readonly<Vector>;
    }];
    readonly 2: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 30;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 44;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 90;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 104;
        readonly position: Readonly<Vector>;
    }];
    readonly 3: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 4;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 10;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 124;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 130;
        readonly position: Readonly<Vector>;
    }];
    readonly 4: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 14;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 225;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 239;
        readonly position: Readonly<Vector>;
    }];
    readonly 5: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 4;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 10;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 229;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 235;
        readonly position: Readonly<Vector>;
    }];
    readonly 6: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 27;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 224;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 251;
        readonly position: Readonly<Vector>;
    }];
    readonly 7: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 56;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 83;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 168;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 195;
        readonly position: Readonly<Vector>;
    }];
    readonly 8: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 27;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 420;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 447;
        readonly position: Readonly<Vector>;
    }];
    readonly 9: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 13;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 27;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 196;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 209;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 420;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 447;
        readonly position: Readonly<Vector>;
    }];
    readonly 10: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 14;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 210;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 223;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 420;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 447;
        readonly position: Readonly<Vector>;
    }];
    readonly 11: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 27;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 224;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 237;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 433;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 447;
        readonly position: Readonly<Vector>;
    }];
    readonly 12: readonly [{
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 0;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_RIGHT;
        readonly gridIndex: 27;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.TOP_LEFT;
        readonly gridIndex: 238;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 251;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_LEFT;
        readonly gridIndex: 420;
        readonly position: Readonly<Vector>;
    }, {
        readonly type: CornerType.BOTTOM_RIGHT;
        readonly gridIndex: 434;
        readonly position: Readonly<Vector>;
    }];
};
//# sourceMappingURL=roomShapeCorners.d.ts.map