local ____exports = {}
function ____exports.shouldFireAmbush(self, fireArgs, optionalArgs)
    local ambushType = table.unpack(fireArgs)
    local callbackAmbushType = table.unpack(optionalArgs)
    return callbackAmbushType == nil or callbackAmbushType == ambushType
end
function ____exports.shouldFireBomb(self, fireArgs, optionalArgs)
    local bomb = table.unpack(fireArgs)
    local callbackBombVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackBombVariant == nil or callbackBombVariant == bomb.Variant) and (callbackSubType == nil or callbackSubType == bomb.SubType)
end
function ____exports.shouldFireBoolean(self, fireArgs, optionalArgs)
    local fireArg = table.unpack(fireArgs)
    local optionalArg = table.unpack(optionalArgs)
    return optionalArg == nil or optionalArg == fireArg
end
function ____exports.shouldFireCollectibleType(self, fireArgs, optionalArgs)
    local _player, collectibleType = table.unpack(fireArgs)
    local callbackCollectibleType = table.unpack(optionalArgs)
    return callbackCollectibleType == nil or callbackCollectibleType == collectibleType
end
function ____exports.shouldFireDoor(self, fireArgs, optionalArgs)
    local door = table.unpack(fireArgs)
    local callbackDoorVariant = table.unpack(optionalArgs)
    local doorVariant = door:GetVariant()
    return callbackDoorVariant == nil or callbackDoorVariant == doorVariant
end
function ____exports.shouldFireEffect(self, fireArgs, optionalArgs)
    local effect = table.unpack(fireArgs)
    local callbackEffectVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackEffectVariant == nil or callbackEffectVariant == effect.Variant) and (callbackSubType == nil or callbackSubType == effect.SubType)
end
function ____exports.shouldFireEntity(self, fireArgs, optionalArgs)
    local entity = table.unpack(fireArgs)
    local callbackEntityType, callbackVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackEntityType == nil or callbackEntityType == entity.Type) and (callbackVariant == nil or callbackVariant == entity.Variant) and (callbackSubType == nil or callbackSubType == entity.SubType)
end
function ____exports.shouldFireFamiliar(self, fireArgs, optionalArgs)
    local familiar = table.unpack(fireArgs)
    local callbackFamiliarVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackFamiliarVariant == nil or callbackFamiliarVariant == familiar.Variant) and (callbackSubType == nil or callbackSubType == familiar.SubType)
end
function ____exports.shouldFireGridEntity(self, fireArgs, optionalArgs)
    local gridEntity = table.unpack(fireArgs)
    local callbackGridEntityType, callbackVariant = table.unpack(optionalArgs)
    local gridEntityType = gridEntity:GetType()
    local variant = gridEntity:GetVariant()
    return (callbackGridEntityType == nil or callbackGridEntityType == gridEntityType) and (callbackVariant == nil or callbackVariant == variant)
end
function ____exports.shouldFireGridEntityCustom(self, fireArgs, optionalArgs)
    local _gridEntity, gridEntityTypeCustom = table.unpack(fireArgs)
    local callbackGridEntityTypeCustom = table.unpack(optionalArgs)
    return callbackGridEntityTypeCustom == nil or callbackGridEntityTypeCustom == gridEntityTypeCustom
end
function ____exports.shouldFireItemPickup(self, fireArgs, optionalArgs)
    local _player, pickingUpItem = table.unpack(fireArgs)
    local callbackItemType, callbackSubtype = table.unpack(optionalArgs)
    return (callbackItemType == nil or callbackItemType == pickingUpItem.itemType) and (callbackSubtype == nil or callbackSubtype == pickingUpItem.subType)
end
function ____exports.shouldFireKnife(self, fireArgs, optionalArgs)
    local knife = table.unpack(fireArgs)
    local callbackKnifeVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackKnifeVariant == nil or callbackKnifeVariant == knife.Variant) and (callbackSubType == nil or callbackSubType == knife.SubType)
end
function ____exports.shouldFireLaser(self, fireArgs, optionalArgs)
    local laser = table.unpack(fireArgs)
    local callbackLaserVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackLaserVariant == nil or callbackLaserVariant == laser.Variant) and (callbackSubType == nil or callbackSubType == laser.SubType)
end
function ____exports.shouldFireLevel(self, fireArgs, optionalArgs)
    local stage, stageType = table.unpack(fireArgs)
    local callbackStage, callbackStageType = table.unpack(optionalArgs)
    return (callbackStage == nil or callbackStage == stage) and (callbackStageType == nil or callbackStageType == stageType)
end
function ____exports.shouldFireNPC(self, fireArgs, optionalArgs)
    local npc = table.unpack(fireArgs)
    local callbackEntityType, callbackVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackEntityType == nil or callbackEntityType == npc.Type) and (callbackVariant == nil or callbackVariant == npc.Variant) and (callbackSubType == nil or callbackSubType == npc.SubType)
end
function ____exports.shouldFirePickup(self, fireArgs, optionalArgs)
    local pickup = table.unpack(fireArgs)
    local callbackPickupVariant, callbackPickupSubType = table.unpack(optionalArgs)
    return (callbackPickupVariant == nil or callbackPickupVariant == pickup.Variant) and (callbackPickupSubType == nil or callbackPickupSubType == pickup.SubType)
end
function ____exports.shouldFirePit(self, fireArgs, optionalArgs)
    local pit = table.unpack(fireArgs)
    local callbackPitVariant = table.unpack(optionalArgs)
    local pitVariant = pit:GetVariant()
    return callbackPitVariant == nil or callbackPitVariant == pitVariant
end
function ____exports.shouldFirePlayer(self, fireArgs, optionalArgs)
    local player = table.unpack(fireArgs)
    local callbackPlayerVariant, callbackCharacter = table.unpack(optionalArgs)
    local character = player:GetPlayerType()
    return (callbackPlayerVariant == nil or callbackPlayerVariant == player.Variant) and (callbackCharacter == nil or callbackCharacter == character)
end
function ____exports.shouldFirePoop(self, fireArgs, optionalArgs)
    local poop = table.unpack(fireArgs)
    local callbackPoopGridEntityVariant = table.unpack(optionalArgs)
    local poopGridEntityVariant = poop:GetVariant()
    return callbackPoopGridEntityVariant == nil or callbackPoopGridEntityVariant == poopGridEntityVariant
end
function ____exports.shouldFirePressurePlate(self, fireArgs, optionalArgs)
    local pressurePlate = table.unpack(fireArgs)
    local callbackPressurePlateVariant = table.unpack(optionalArgs)
    local pressurePlateVariant = pressurePlate:GetVariant()
    return callbackPressurePlateVariant == nil or callbackPressurePlateVariant == pressurePlateVariant
end
function ____exports.shouldFireProjectile(self, fireArgs, optionalArgs)
    local projectile = table.unpack(fireArgs)
    local callbackProjectileVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackProjectileVariant == nil or callbackProjectileVariant == projectile.Variant) and (callbackSubType == nil or callbackSubType == projectile.SubType)
end
function ____exports.shouldFireRock(self, fireArgs, optionalArgs)
    local rock = table.unpack(fireArgs)
    local callbackGridEntity, callbackVariant = table.unpack(optionalArgs)
    local gridEntityType = rock:GetType()
    local variant = rock:GetVariant()
    return (callbackGridEntity == nil or callbackGridEntity == gridEntityType) and (callbackVariant == nil or callbackVariant == variant)
end
function ____exports.shouldFireRoom(self, fireArgs, optionalArgs)
    local roomType = table.unpack(fireArgs)
    local callbackRoomType = table.unpack(optionalArgs)
    return callbackRoomType == nil or callbackRoomType == roomType
end
function ____exports.shouldFireSlot(self, fireArgs, optionalArgs)
    local slot = table.unpack(fireArgs)
    local callbackSlotVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackSlotVariant == nil or callbackSlotVariant == slot.Variant) and (callbackSubType == nil or callbackSubType == slot.SubType)
end
function ____exports.shouldFireSpikes(self, fireArgs, optionalArgs)
    local spikes = table.unpack(fireArgs)
    local callbackVariant = table.unpack(optionalArgs)
    local variant = spikes:GetVariant()
    return callbackVariant == nil or callbackVariant == variant
end
function ____exports.shouldFireTNT(self, fireArgs, optionalArgs)
    local tnt = table.unpack(fireArgs)
    local callbackVariant = table.unpack(optionalArgs)
    local variant = tnt:GetVariant()
    return callbackVariant == nil or callbackVariant == variant
end
function ____exports.shouldFireTear(self, fireArgs, optionalArgs)
    local tear = table.unpack(fireArgs)
    local callbackTearVariant, callbackSubType = table.unpack(optionalArgs)
    return (callbackTearVariant == nil or callbackTearVariant == tear.Variant) and (callbackSubType == nil or callbackSubType == tear.SubType)
end
function ____exports.shouldFireTrinketType(self, fireArgs, optionalArgs)
    local _player, trinketType = table.unpack(fireArgs)
    local callbackTrinketType = table.unpack(optionalArgs)
    return callbackTrinketType == nil or callbackTrinketType == trinketType
end
return ____exports
