import { PlayerType } from "isaac-typescript-definitions";
import { ReadonlyMap } from "../types/ReadonlyMap";

/** Maps character names to the values of the `PlayerType` enum. */
export const CHARACTER_NAME_TO_TYPE_MAP = new ReadonlyMap<string, PlayerType>([
  ["isaac", PlayerType.ISAAC], // 0
  ["magdalene", PlayerType.MAGDALENE], // 1
  ["maggy", PlayerType.MAGDALENE], // 1
  ["cain", PlayerType.CAIN], // 2
  ["judas", PlayerType.JUDAS], // 3
  ["blueBaby", PlayerType.BLUE_BABY], // 4
  ["bb", PlayerType.BLUE_BABY], // 4
  ["eve", PlayerType.EVE], // 5
  ["samson", PlayerType.SAMSON], // 6
  ["azazel", PlayerType.AZAZEL], // 7
  ["lazarus", PlayerType.LAZARUS], // 8
  // Needed so that "laz2" does not take precedence over "lazarus".
  ["laz", PlayerType.LAZARUS], // 8
  ["eden", PlayerType.EDEN], // 9
  ["theLost", PlayerType.LOST], // 10
  ["lost", PlayerType.LOST], // 10
  ["lazarus2", PlayerType.LAZARUS_2], // 11
  ["laz2", PlayerType.LAZARUS_2], // 11
  ["darkJudas", PlayerType.DARK_JUDAS], // 12
  ["dJudas", PlayerType.DARK_JUDAS], // 12
  ["blackJudas", PlayerType.DARK_JUDAS], // 12
  ["bJudas", PlayerType.DARK_JUDAS], // 12
  ["lilith", PlayerType.LILITH], // 13
  ["keeper", PlayerType.KEEPER], // 14
  ["apollyon", PlayerType.APOLLYON], // 15
  ["theForgotten", PlayerType.FORGOTTEN], // 16
  ["forgotten", PlayerType.FORGOTTEN], // 16
  ["theSoul", PlayerType.SOUL], // 17
  ["soul", PlayerType.SOUL], // 17
  ["bethany", PlayerType.BETHANY], // 18
  ["jacob", PlayerType.JACOB], // 19
  ["esau", PlayerType.ESAU], // 20
  ["taintedIsaac", PlayerType.ISAAC_B], // 21
  ["tIsaac", PlayerType.ISAAC_B], // 21
  ["taintedMagdalene", PlayerType.MAGDALENE_B], // 22
  ["tMagdalene", PlayerType.MAGDALENE_B], // 22
  ["taintedMaggy", PlayerType.MAGDALENE_B], // 22
  ["tMaggy", PlayerType.MAGDALENE_B], // 22
  ["taintedCain", PlayerType.CAIN_B], // 23
  ["tCain", PlayerType.CAIN_B], // 23
  ["taintedJudas", PlayerType.JUDAS_B], // 24
  ["tJudas", PlayerType.JUDAS_B], // 24
  ["taintedBlueBaby", PlayerType.BLUE_BABY_B], // 25
  ["tBlueBaby", PlayerType.BLUE_BABY_B], // 25
  ["tbb", PlayerType.BLUE_BABY_B], // 25
  ["taintedEve", PlayerType.EVE_B], // 26
  ["tEve", PlayerType.EVE_B], // 26
  ["taintedSamson", PlayerType.SAMSON_B], // 27
  ["tSamson", PlayerType.SAMSON_B], // 27
  ["taintedAzazel", PlayerType.AZAZEL_B], // 28
  ["tAzazel", PlayerType.AZAZEL_B], // 28
  ["taintedLazarus", PlayerType.LAZARUS_B], // 29
  ["tLazarus", PlayerType.LAZARUS_B], // 29
  ["taintedLaz", PlayerType.LAZARUS_B], // 29
  ["tLaz", PlayerType.LAZARUS_B], // 29
  ["taintedEden", PlayerType.EDEN_B], // 30
  ["tEden", PlayerType.EDEN_B], // 30
  ["taintedLost", PlayerType.LOST_B], // 31
  ["tLost", PlayerType.LOST_B], // 31
  ["taintedLilith", PlayerType.LILITH_B], // 32
  ["tLilith", PlayerType.LILITH_B], // 32
  ["taintedKeeper", PlayerType.KEEPER_B], // 33
  ["tKeeper", PlayerType.KEEPER_B], // 33
  ["taintedApollyon", PlayerType.APOLLYON_B], // 34
  ["tApollyon", PlayerType.APOLLYON_B], // 34
  ["taintedForgotten", PlayerType.FORGOTTEN_B], // 35
  ["tForgotten", PlayerType.FORGOTTEN_B], // 35
  ["taintedBethany", PlayerType.BETHANY_B], // 36
  ["tBethany", PlayerType.BETHANY_B], // 36
  ["taintedJacob", PlayerType.JACOB_B], // 37
  ["tJacob", PlayerType.JACOB_B], // 37
  ["taintedLazarusDead", PlayerType.LAZARUS_2_B], // 38
  ["tLazarusDead", PlayerType.LAZARUS_2_B], // 38
  ["taintedLazDead", PlayerType.LAZARUS_2_B], // 38
  ["tLazDead", PlayerType.LAZARUS_2_B], // 38
  ["deadTaintedLazarus", PlayerType.LAZARUS_2_B], // 38
  ["deadTLazarus", PlayerType.LAZARUS_2_B], // 38
  ["deadTaintedLaz", PlayerType.LAZARUS_2_B], // 38
  ["deadTLaz", PlayerType.LAZARUS_2_B], // 38
  ["taintedJacobGhost", PlayerType.JACOB_2_B], // 39
  ["tJacobGhost", PlayerType.JACOB_2_B], // 39
  ["taintedSoul", PlayerType.SOUL_B], // 40
  ["tSoul", PlayerType.SOUL_B], // 40
]);
